Bug 478300 - Review Request: python-wifi - Python binding for the wireless extensions
Review Request: python-wifi - Python binding for the wireless extensions
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 478432
  Show dependency treegraph
 
Reported: 2008-12-27 11:29 EST by Fabian Affolter
Modified: 2009-03-09 19:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.3.1-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-09 18:52:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
debarshir: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2008-12-27 11:29:40 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-wifi.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-wifi-0.3.1-1.fc9.src.rpm

Project URL: https://developer.berlios.de/projects/pythonwifi/

Description:
Python-Wifi is a Python library that provides access to information about a
W-LAN card's capabilities, like the wireless extensions written in C.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1023011

rpmlint output:
[fab@laptop024 noarch]$ rpmlint python-wifi-0.3.1-1.fc9.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop024 SRPMS]$ rpmlint python-wifi-0.3.1-1.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Debarshi Ray 2009-02-11 00:01:47 EST
MUST Items:

OK - rpmlint is clean
OK - follows Naming Guidelines and Python Naming Guidelines
OK - spec file is named as %{name}.spec

xx - package does not meet Packaging Guidelines and Python Packaging Guidelines
    + Is 'Requires: wireless-tools' really needed? I could not locate its use
      in the sources, and it seems to work without it too:
      [rishi@freebook python-wifi-0.3.1]$ sudo rpm --nodeps -e wireless-tools
      [sudo] password for rishi: 
      [rishi@freebook python-wifi-0.3.1]$ python
      Python 2.5.1 (r251:54863, Jun 15 2008, 18:24:56) 
      [GCC 4.3.0 20080428 (Red Hat 4.3.0-8)] on linux2
      Type "help", "copyright", "credits" or "license" for more information.
      >>> from pythonwifi.iwlibs import Wireless
      >>> wifi = Wireless('wlan0')
      >>> wifi.getEssid()
      'prasannakanan'
      >>>
      Am I missing something?

OK - license meets Licensing Guidelines

xx - License field meets actual license
    + Going by the license notices in the source code:
      (i)   examples/pyiwlist.py is under GPLv2+.
      (ii)  examples/pyiwconfig.py, pythonwifi/iwlibs.py, pythonwifi/flags.py
            is under LGPLv2+.
      (iii) the others do not have a license notice.
      Although it looks like the value of the License tag should be LGPLv2+
      it would be good to point out the mix-up to the upstream maintainer.

OK - upstream license file included in %doc
OK - spec file uses American English
OK - spec file is legible

xx - sources match upstream sources
    + The Source0 URL should be
      http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

OK - package builds successfully
OK - ExcludeArch not needed
OK - build dependencies correctly listed
OK - no locales
OK - no shared libraries
OK - package is not relocatable
OK - file and directory ownership
OK - no duplicates in %file
OK - file permissions set properly
OK - %clean present
OK - macros used consistently
OK - contains code and permissable content
OK - -doc is not needed

xx - contents of %doc does not affect the runtime
    + python_wifi.egg-info/SOURCES.txt contains docs/*, examples/* and tests/*.
      I do not know enough about Python Eggs to say whether that is a problem
      or not. Got to find out.

OK - no header files
OK - no static libraries
OK - no pkgconfig files
OK - no library files
OK - -devel not needed
OK - no libtool archives
OK - %{name}.desktop file not needed
OK - does not own files or directories owned by other packages
OK - buildroot correctly prepped
OK - all file names valid UTF-8

SHOULD Items:

OK - upstream provides license text
xx - no translations for description and summary
OK - package builds in mock successfully
OK - package builds on all supported architectures
OK - package functions as expected
OK - scriptlets not needed
OK - subpackages are not needed
OK - no pkgconfig files
OK - no file dependencies
Comment 2 Debarshi Ray 2009-02-11 06:34:08 EST
(In reply to comment #1)

> xx - contents of %doc does not affect the runtime
>     + python_wifi.egg-info/SOURCES.txt contains docs/*, examples/* and tests/*.
>       I do not know enough about Python Eggs to say whether that is a problem
>       or not. Got to find out.

According to http://peak.telecommunity.com/DevCenter/EggFormats#sources-txt-source-files-manifest:

"In other words, SOURCES.txt has little or no runtime value for being included in distributed eggs..."

So I would say that this not a problem for us.
Comment 3 Fabian Affolter 2009-02-18 17:57:56 EST
Thanks for the review

(In reply to comment #1)
> xx - package does not meet Packaging Guidelines and Python Packaging Guidelines
>     + Is 'Requires: wireless-tools' really needed? I could not locate its use
>       in the sources, and it seems to work without it too:

removed.

> xx - License field meets actual license
>     + Going by the license notices in the source code:
>       (i)   examples/pyiwlist.py is under GPLv2+.
>       (ii)  examples/pyiwconfig.py, pythonwifi/iwlibs.py, pythonwifi/flags.py
>             is under LGPLv2+.
>       (iii) the others do not have a license notice.
>       Although it looks like the value of the License tag should be LGPLv2+
>       it would be good to point out the mix-up to the upstream maintainer.

changed to LGPLv2+

> xx - sources match upstream sources
>     + The Source0 URL should be
>      
> http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

fixed

Updated files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-wifi.spec
SRPM URL:
http://fab.fedorapeople.org/packages/SRPMS/python-wifi-0.3.1-2.fc10.src.rpm
Comment 4 Debarshi Ray 2009-02-21 15:26:25 EST
+---------------------------------+
| This package is APPROVED by me. |
+---------------------------------+

Just remember to inform upstream about the licensing mix-up to avoid any future misunderstanding.
Comment 6 Fabian Affolter 2009-02-21 18:15:01 EST
New Package CVS Request
=======================
Package Name: python-wifi
Short Description: Python binding for the wireless extensions
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 7 Debarshi Ray 2009-02-22 05:02:05 EST
(In reply to comment #5)
> https://developer.berlios.de/bugs/?func=detailbug&bug_id=15290&group_id=7134

Nice. :-)
Comment 8 Kevin Fenzi 2009-02-22 14:39:46 EST
cvs done.
Comment 9 Fedora Update System 2009-02-23 17:07:30 EST
python-wifi-0.3.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-wifi-0.3.1-2.fc10
Comment 10 Fedora Update System 2009-02-23 17:07:35 EST
python-wifi-0.3.1-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/python-wifi-0.3.1-2.fc9
Comment 11 Fedora Update System 2009-02-24 15:42:44 EST
python-wifi-0.3.1-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update python-wifi'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-1939
Comment 12 Fedora Update System 2009-02-24 15:53:26 EST
python-wifi-0.3.1-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-wifi'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2002
Comment 13 Fedora Update System 2009-03-09 18:52:24 EDT
python-wifi-0.3.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-03-09 19:06:51 EDT
python-wifi-0.3.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.